package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultWithPagerDto;
import com.crm.rely.backend.core.dto.system.symbol.SysSymbolDto;
import com.crm.rely.backend.core.dto.system.symbol.SysSymbolStaticDto;
import com.crm.rely.backend.core.entity.system.symbol.SysSymbolAddEntity;
import com.crm.rely.backend.core.entity.system.symbol.SysSymbolListEntity;
import com.crm.rely.backend.core.entity.system.symbol.SysSymbolUpdateEntity;

import java.util.List;

/**
 * Created by max on 2020/7/8.
 */
public interface SysSymbolService {

    void add(SysSymbolAddEntity entity) throws Exception;

    void updateById(SysSymbolUpdateEntity entity) throws Exception;

    void deleteById(Long id) throws Exception;

    SysSymbolDto getById(Long id) throws Exception;

    BaseResultWithPagerDto<List<SysSymbolDto>> getList(SysSymbolListEntity entity) throws Exception;

    SysSymbolStaticDto getSymbolStaticData() throws Exception;

}
